Subject: bug#15575: 24.3.50; New tty menus crash Emacs

From: Eli Zaretskii <[email-masked]>
Date: Tue, 15 Oct 2013 22:01:30 +0300

> Date: Tue, 15 Oct 2013 20:27:39 +0200
> From: martin rudalics <[email-masked]>
> CC: [email-masked], [email-masked]
> 
>  >   . start the debugger first, then do this:
>  >
>  >     (gdb) set new-console on
>  >     (gdb) run -Q -nw
>  >
>  > The "set new-console on" command causes a new console to be created by
>  > GDB before it runs the program attached to that console.
> 
> This works fine.  What is the GNU/Linux equivalent of this?

Sorry, I don't understand: the above commands should work on GNU/Linux
as well.

Moreover, on GNU/Linux you can start Emacs as a daemon, attach a
debugger, and then open a TTY frame with emacsclient.

> I have tried some of the tty commands but failed miserably.

Which tty commands?

> (What I want is to run an emacs -nw session from a graphical Emacs
> GDB window.)

The above commands should work from a graphical session.